/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20150515-64
 * Copyright (c) 2000 - 2015 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-7.aml, Thu Jun  4 00:47:36 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000317 (791)
 *     Revision         0x01
 *     Checksum         0x85
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "215B    "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "ACPI"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("SSDT-7.aml", "SSDT", 1, "HPQOEM", "215B    ", 0x00001000)
{

    External (_SB_.PCI0.LPCB.EC0_.BAAE, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.BFCC, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.ECLS, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.ECOK, IntObj)
    External (_SB_.PCI0.LPCB.EC0_.ECTH, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.ECTL, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.GWKR, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.MBRM, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.SW2S, FieldUnitObj)
    External (ICNF, FieldUnitObj)

    Scope (\_SB)
    {
        Device (IAOE)
        {
            OperationRegion (ISCT, SystemMemory, 0x9CEAEC98, 0x0011)
            Field (ISCT, AnyAcc, Lock, Preserve)
            {
                WKRS,   8, 
                AOCE,   8, 
                FFSE,   8, 
                ITMR,   8, 
                ECTM,   32, 
                RCTM,   32, 
                GNPT,   32, 
                ATOW,   8
            }

            Name (_HID, "INT33A0" /* Intel Smart Connect Technology Device */)  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (IBT1, Zero)
            Name (IBT2, Zero)
            Name (INSB, Zero)
            Name (WTMS, Zero)
            Name (AWT0, Zero)
            Name (AWT1, Zero)
            Name (AWT2, Zero)
            Name (PTSL, Zero)
            Name (SLPD, Zero)
            Name (IMDS, Zero)
            Name (IWDT, Zero)
            Name (AOEN, Zero)
            Name (WLPE, Zero)
            Name (WWS1, One)
            Name (WKMO, Zero)
            Method (GABS, 0, NotSerialized)
            {
                Return (ICNF) /* \ICNF */
            }

            Method (GAOS, 0, NotSerialized)
            {
                Store (AOEN, Local0)
                Return (Or (Local0, WKMO))
            }

            Method (SAOS, 1, NotSerialized)
            {
                If (LEqual (And (Arg0, One), One))
                {
                    Store (One, Local0)
                }
                Else
                {
                    Store (Zero, Local0)
                    Store (Local0, \_SB.PCI0.LPCB.EC0.BAAE)
                }

                If (LNotEqual (\_SB.PCI0.LPCB.EC0.SW2S, One))
                {
                    Store (\_SB.PCI0.LPCB.EC0.MBRM, Local1)
                    Store (\_SB.PCI0.LPCB.EC0.BFCC, Local2)
                    Multiply (Local1, 0x64, Local1)
                    Divide (Local1, Local2, , Local3)
                    Add (Local3, One, Local3)
                    If (LLessEqual (Local3, 0x0F))
                    {
                        Store (Zero, Local0)
                    }
                }

                Store (Local0, AOEN) /* \_SB_.IAOE.AOEN */
                If (LEqual (And (Arg0, 0x02), 0x02))
                {
                    Store (0x02, WKMO) /* \_SB_.IAOE.WKMO */
                }
                Else
                {
                    Store (Zero, WKMO) /* \_SB_.IAOE.WKMO */
                }
            }

            Method (GANS, 0, NotSerialized)
            {
                Return (INSB) /* \_SB_.IAOE.INSB */
            }

            Method (SANS, 1, NotSerialized)
            {
                Store (And (Arg0, One), INSB) /* \_SB_.IAOE.INSB */
            }

            Method (GWLS, 0, NotSerialized)
            {
                Store (Zero, Local0)
                Or (Local0, WLPE, Local0)
                Return (Local0)
            }

            Method (SWLS, 1, NotSerialized)
            {
                Store (Arg0, Local0)
                And (Local0, 0x0E, Local0)
                Store (Local0, WLPE) /* \_SB_.IAOE.WLPE */
            }

            Method (GWWS, 0, NotSerialized)
            {
                Return (WWS1) /* \_SB_.IAOE.WWS1 */
            }

            Method (SWWS, 1, NotSerialized)
            {
                Store (Arg0, WWS1) /* \_SB_.IAOE.WWS1 */
            }

            Method (SASD, 1, NotSerialized)
            {
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    Store (And (Arg0, 0xFF), \_SB.PCI0.LPCB.EC0.ECTL)
                    Store (ShiftRight (And (Arg0, 0xFF00), 0x08), \_SB.PCI0.LPCB.EC0.ECTH)
                }
            }

            Method (GPWR, 0, NotSerialized)
            {
                Store (Zero, Local0)
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    Store (\_SB.PCI0.LPCB.EC0.GWKR, Local0)
                }

                Return (Local0)
            }

            Method (GPCS, 0, NotSerialized)
            {
                Store (Zero, Local0)
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    If (LEqual (\_SB.PCI0.LPCB.EC0.ECLS, One))
                    {
                        Store (Zero, Local0)
                    }
                    Else
                    {
                        Store (One, Local0)
                    }
                }

                Return (Local0)
            }

            Method (GAWD, 0, NotSerialized)
            {
                Return (IWDT) /* \_SB_.IAOE.IWDT */
            }

            Method (SAWD, 1, NotSerialized)
            {
                Store (Arg0, IWDT) /* \_SB_.IAOE.IWDT */
            }
        }
    }
}

